Complete USDC bridging
Prepare a receiveMessage transaction to mint USDC to any Product Account on the destination chain.
How it works:
This endpoint uses the bridge_id from /burn to:
- Look up the bridge session
- Check if Circle’s attestation is ready
- Depending on the status of the attestation return the following:
- if attestation is still pending, return URLs for real-time updates
- if attestation is ready, return a transaction to complete the bridging process
- if the minting for a given
bridge_idhas been completed, informs withcompletedstatus
Request parameters:
bridge_id: The bridge ID returned from/burnburn_tx_hash: The transaction hash of the burn transaction on the source chain
Response codes:
- 200 OK: Attestation is ready, mint transaction is included
- 202 Accepted: Attestation is pending, SSE URL for real-time updates is included (The real-time update endpoints are in progress)
- 404 Not found: Bridge not found
After receiving 202:
Either:
- Connect to the SSE stream at
sse_urland wait forattestation_readyevent (The SSE stream and status endpoint are in progress. Keep an eye on the updates from our team) - Poll this endpoint periodically until you get 200
Body
The bridge identifier returned from /burn endpoint. This is used to look up the bridge session.
^br_[a-f0-9]{12}$"br_cae305798062"
The transaction hash of the burn transaction on the source chain. This is used to find the DepositForBurn event and extract the CCTP message.
^0x[a-fA-F0-9]{64}$"0x42c914b870eacc2c1734420f6ab183f95a5b0e0fdbb1c82247183848b76fc8ad"
The wallet address that will sign and send the mint transaction. This can be any wallet, the receiver of the minted USDC is not determined by this sender.
"0x29F20a192328eF1aD35e1564aBFf4Be9C5ce5f7B"
Response
Attestation ready with mint transaction, or bridge already completed
- MintPrepareReadyResponse
- MintPrepareCompletedResponse
Response when attestation is ready and mint transaction can be built.
Returned with 200 OK status code. Contains an unsigned transaction that calls receiveMessage on the MessageTransmitter contract.
The bridge identifier.
"br_a1b2c3d4e5f6"
Unsigned transaction that calls receiveMessage on the MessageTransmitter contract. Sign and broadcast this to mint USDC on the destination chain.
{
"chainId": "0x2105",
"data": "0x1688f0b900000000000000000000000029fcb43b46531bca003ddc8fcb67ffe91900c762000000000000000000000000000000000000000000000000000000000000006000000000000000000000000000000000000000000000000000000000675f4a3d",
"from": "0x4A83b4413CF41C3244027e1590E35a0F48403F0c",
"gas": "0x7a120",
"maxFeePerGas": "0x59682f00",
"maxPriorityFeePerGas": "0x3b9aca00",
"nonce": "0x5",
"to": "0x4e1DCf7AD4e460CfD30791CCC4F9c8a4f820ec67",
"value": "0x0"
}Indicates the attestation is ready and mint transaction is available.
"ready""ready"